View Issue Details

IDProjectCategoryView StatusLast Update
0012192LazarusPackagespublic2011-12-01 11:23
ReporterChen, Yung-Hua.Assigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindowsOS Version
Product Version0.9.25 (SVN)Product Build16659 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0012192: OnExit , OnEditingDone ... event not work of FloatSpinEdit.
Description1. Put 2 FloatSpinEdit components on form.
2. Put 1 Button components on form.
3. Write code like below.
procedure TForm1.FloatSpinEdit1EditingDone(Sender: TObject);
begin
  FloatSpinEdit1.Text := FloatToStr(FloatSpinEdit1.Value);
end;
4. Run.

>> Test 1
Set 1000 to FloatSpinEdit1.Value and use Tab to move cursor. The OnExit , OnEditingDone event will run.

>> Test 2
Set 1000 to FloatSpinEdit1.Value and use Mouse to click Button. The OnExit , OnEditingDone event will not work.

Please see the attach file.

Additional InformationLazarus-0.9.25-16659-fpc-2.2.2-20080920-win32.exe
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
Widgetset
Attached Files

Relationships

has duplicate 0018231 closedMaxim Ganetsky Exiting TSpinEdit or TFloatSpinEdit with mouse doesn't execute OnExit procedure 

Activities

2008-09-21 04:33

 

Temp.zip (23,591 bytes)

Zeljan Rikalo

2008-11-22 09:53

developer   ~0023481

can you check it now , with latest svn ?

Vincent Snijders

2009-01-19 15:13

manager   ~0024544

No feedback from reporter.

Maxim Ganetsky

2009-01-20 00:56

developer   ~0024566

The issue still exists as reported.
Tested with Lazarus v0.9.27 r18348 i386-win32-win32/win64.

Vincent Snijders

2009-01-20 06:21

manager   ~0024569

Thanks for retesting.

Alexander S. Klenin

2009-02-04 11:22

developer   ~0025100

Hm, I use these in my applications, so decided to re-test.
My testing indicates that the events do work,
at least with current trunk on Win32.
The problem with original test case is that event handlers used for testing
do not perform any visible action.
Attached is a slightly modified test, which clearly shows that,
actually, a reverse problem exists on EditingDone event is fired too often.
It seems that, when cycling between controls with TAB key,
EditingDone fires both on leaving and on entering FloatSpinEdit component.

2009-02-04 11:22

 

spinedit_editingdone.zip (2,767 bytes)

Maxim Ganetsky

2009-02-04 22:27

developer   ~0025122

Yes, I confirm that original reporter's problem is fixed after recent SpinEdit changes.

Maxim Ganetsky

2010-05-08 18:33

developer   ~0037366

OnEditingDone event works correctly for me in Lazarus 0.9.29 r25255 FPC 2.4.1 i386-win32-win32/win64. The issue appears to be fixed in the meantime.

Issue History

Date Modified Username Field Change
2008-09-21 04:33 Chen, Yung-Hua. New Issue
2008-09-21 04:33 Chen, Yung-Hua. File Added: Temp.zip
2008-09-21 09:21 Florian Project FPC => Lazarus
2008-09-21 09:36 Vincent Snijders LazTarget => 1.0
2008-09-21 09:36 Vincent Snijders Status new => acknowledged
2008-09-21 09:36 Vincent Snijders Target Version => 1.0.0
2008-09-21 09:37 Vincent Snijders OS => Windows
2008-09-21 09:37 Vincent Snijders Platform => i386
2008-09-21 09:37 Vincent Snijders Product Version 2.2.2 => 0.9.25 (SVN)
2008-09-21 09:37 Vincent Snijders Build => 16659
2008-11-22 09:53 Zeljan Rikalo Note Added: 0023481
2008-11-22 09:53 Zeljan Rikalo Status acknowledged => feedback
2009-01-19 15:13 Vincent Snijders Status feedback => resolved
2009-01-19 15:13 Vincent Snijders Resolution open => no change required
2009-01-19 15:13 Vincent Snijders Assigned To => Vincent Snijders
2009-01-19 15:13 Vincent Snijders Note Added: 0024544
2009-01-20 00:55 Marc Weustink Status resolved => assigned
2009-01-20 00:55 Marc Weustink Resolution no change required => reopened
2009-01-20 00:56 Maxim Ganetsky Note Added: 0024566
2009-01-20 06:21 Vincent Snijders Note Added: 0024569
2009-01-20 06:21 Vincent Snijders Status assigned => acknowledged
2009-01-20 06:21 Vincent Snijders Assigned To Vincent Snijders =>
2009-02-04 11:22 Alexander S. Klenin Note Added: 0025100
2009-02-04 11:22 Alexander S. Klenin File Added: spinedit_editingdone.zip
2009-02-04 22:27 Maxim Ganetsky Note Added: 0025122
2010-05-08 18:33 Maxim Ganetsky Status acknowledged => resolved
2010-05-08 18:33 Maxim Ganetsky Fixed in Version => 0.9.29 (SVN)
2010-05-08 18:33 Maxim Ganetsky Resolution reopened => fixed
2010-05-08 18:33 Maxim Ganetsky Assigned To => Maxim Ganetsky
2010-05-08 18:33 Maxim Ganetsky Note Added: 0037366
2010-12-16 21:57 Maxim Ganetsky Relationship added has duplicate 0018231
2011-12-01 11:23 Marc Weustink Status resolved => closed